package test;

import java.util.HashMap;
import java.util.Map;

import org.jbpm.api.Configuration;
import org.jbpm.api.ExecutionService;
import org.jbpm.api.ProcessEngine;
import org.jbpm.api.RepositoryService;

public class CreateInstance {
	public static void main(String[] args) {
		ProcessEngine processEngine = new Configuration().setResource("jbpm.cfg.xml").buildProcessEngine();

		RepositoryService repositoryService = processEngine.getRepositoryService();
		ExecutionService executionService = processEngine.getExecutionService();

		Map<String, Object> variables = new HashMap<String, Object>();
		variables.put("testvar", "This is a test variable for a text".toCharArray());		
		executionService.startProcessInstanceByKey("test", variables);		
	}
}
